Install Atom Chromeflipbook 10 inch running crouton, lxde, ubuntu


#1

I built the latest beta on git and it does compile I can run Atom but it just crashes when I try and open a folder.

I can not start Atom now with out the command just saying
"Failed to get crash dump id.
Report Id: "

This was the initial error I received when I first started Atom:

[Enter steps to reproduce below:]

  1. Open Atom

Atom Version: 1.10.0-beta5
Electron Version: 0.37.8
System: Ubuntu 14.04.5
Thrown From: welcome package, v0.34.0

Stack Trace

Uncaught IndexSizeError: Failed to execute ‘setEnd’ on ‘Range’: The offset 1 is larger than or equal to the node’s length (0).

At /home/ian/atom/out/Atom Beta/resources/app.asar/src/lines-yardstick.js:161

Error: Failed to execute 'setEnd' on 'Range': The offset 1 is larger than or equal to the node's length (0).
    at Error (native)
    at LinesYardstick.module.exports.LinesYardstick.clientRectForRange (/home/ian/atom/out/Atom Beta/resources/app.asar/src/lines-yardstick.js:161:32)
    at LinesYardstick.module.exports.LinesYardstick.leftPixelPositionForScreenPosition (/home/ian/atom/out/Atom Beta/resources/app.asar/src/lines-yardstick.js:143:36)
    at LinesYardstick.module.exports.LinesYardstick.pixelPositionForScreenPosition (/home/ian/atom/out/Atom Beta/resources/app.asar/src/lines-yardstick.js:108:19)
    at TextEditorPresenter.module.exports.TextEditorPresenter.pixelPositionForScreenPosition (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-presenter.js:1297:38)
    at TextEditorPresenter.module.exports.TextEditorPresenter.updateHorizontalDimensions (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-presenter.js:879:34)
    at TextEditorPresenter.module.exports.TextEditorPresenter.getPostMeasurementState (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-presenter.js:134:12)
    at TextEditorComponent.module.exports.TextEditorComponent.updateSync (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-component.js:209:38)
    at TextEditorComponent.module.exports.TextEditorComponent.becameVisible (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-component.js:304:21)
    at TextEditorComponent.module.exports.TextEditorComponent.checkForVisibilityChange (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-component.js:1030:16)
    at atom-text-editor.TextEditorElement.attachedCallback (/home/ian/atom/out/Atom Beta/resources/app.asar/src/text-editor-element.js:102:22)
    at atom-pane-container.module.exports.PaneContainerElement.rootChanged (/home/ian/atom/out/Atom Beta/resources/app.asar/src/pane-container-element.js:42:14)
    at Function.module.exports.Emitter.simpleDispatch (/home/ian/atom/out/Atom Beta/resources/app.asar/node_modules/event-kit/lib/emitter.js:25:14)
    at Emitter.module.exports.Emitter.emit (/home/ian/atom/out/Atom Beta/resources/app.asar/node_modules/event-kit/lib/emitter.js:125:28)
    at PaneContainer.module.exports.PaneContainer.setRoot (/home/ian/atom/out/Atom Beta/resources/app.asar/src/pane-container.js:165:20)
    at PaneContainer.module.exports.PaneContainer.replaceChild (/home/ian/atom/out/Atom Beta/resources/app.asar/src/pane-container.js:175:19)
    at Pane.module.exports.Pane.split (/home/ian/atom/out/Atom Beta/resources/app.asar/src/pane.js:900:21)
    at Pane.module.exports.Pane.splitRight (/home/ian/atom/out/Atom Beta/resources/app.asar/src/pane.js:880:19)
    at Pane.module.exports.Pane.findOrCreateRightmostSibling (/home/ian/atom/out/Atom Beta/resources/app.asar/src/pane.js:952:21)
    at Workspace.<anonymous> (/home/ian/atom/out/Atom Beta/resources/app.asar/src/workspace.js:427:43)
    at Workspace.module.exports.Workspace.open (/home/ian/atom/out/Atom Beta/resources/app.asar/src/workspace.js:435:12)
    at Object.module.exports.show (/home/ian/atom/out/Atom Beta/resources/app.asar/node_modules/welcome/lib/welcome.js:77:29)
    at /home/ian/atom/out/Atom Beta/resources/app.asar/node_modules/welcome/lib/welcome.js:65:19
    at _combinedTickCallback (internal/process/next_tick.js:67:7)
    at process._tickCallback (internal/process/next_tick.js:98:9)

Commands

Config

{
  "welcome": {
    "showOnStartup": false
  }
}

Installed Packages

# User
atom-dark-syntax, v0.27.0 (inactive)
atom-dark-ui, v0.52.0 (inactive)
atom-light-syntax, v0.28.0 (inactive)
atom-light-ui, v0.44.0 (inactive)
base16-tomorrow-dark-theme, v1.1.0 (inactive)
base16-tomorrow-light-theme, v1.1.1 (inactive)
one-dark-ui, v1.5.0 (active)
one-light-ui, v1.5.0 (inactive)
one-dark-syntax, v1.3.0 (active)
one-light-syntax, v1.3.0 (inactive)
solarized-dark-syntax, v1.0.2 (inactive)
solarized-light-syntax, v1.0.2 (inactive)
about, v1.5.3 (inactive)
archive-view, v0.61.1 (inactive)
autocomplete-atom-api, v0.10.0 (inactive)
autocomplete-css, v0.11.2 (inactive)
autocomplete-html, v0.7.2 (inactive)
autocomplete-plus, v2.31.1 (inactive)
autocomplete-snippets, v1.11.0 (inactive)
autoflow, v0.27.0 (inactive)
autosave, v0.23.1 (inactive)
background-tips, v0.26.1 (inactive)
bookmarks, v0.41.0 (inactive)
bracket-matcher, v0.82.1 (inactive)
command-palette, v0.38.0 (inactive)
deprecation-cop, v0.54.1 (inactive)
dev-live-reload, v0.47.0 (inactive)
encoding-selector, v0.22.0 (inactive)
exception-reporting, v0.39.0 (inactive)
find-and-replace, v0.201.0 (inactive)
fuzzy-finder, v1.3.0 (inactive)
git-diff, v1.1.0 (inactive)
go-to-line, v0.31.0 (inactive)
grammar-selector, v0.48.1 (inactive)
image-view, v0.58.2 (inactive)
incompatible-packages, v0.26.1 (inactive)
keybinding-resolver, v0.35.0 (inactive)
line-ending-selector, v0.5.0 (inactive)
link, v0.31.1 (inactive)
markdown-preview, v0.158.0 (inactive)
metrics, v0.53.1 (inactive)
notifications, v0.65.0 (inactive)
open-on-github, v1.2.0 (inactive)
package-generator, v1.0.0 (inactive)
settings-view, v0.241.2 (inactive)
snippets, v1.0.2 (inactive)
spell-check, v0.67.1 (inactive)
status-bar, v1.4.1 (inactive)
styleguide, v0.47.0 (inactive)
symbols-view, v0.113.0 (inactive)
tabs, v0.100.2 (inactive)
timecop, v0.33.2 (inactive)
tree-view, v0.208.2 (inactive)
update-package-dependencies, v0.10.0 (inactive)
welcome, v0.34.0 (inactive)
whitespace, v0.33.0 (inactive)
wrap-guide, v0.38.1 (inactive)
language-c, v0.52.1 (inactive)
language-clojure, v0.21.0 (inactive)
language-coffee-script, v0.47.2 (inactive)
language-csharp, v0.12.1 (inactive)
language-css, v0.37.1 (inactive)
language-gfm, v0.88.0 (inactive)
language-git, v0.15.0 (inactive)
language-go, v0.42.1 (inactive)
language-html, v0.45.1 (inactive)
language-hyperlink, v0.16.0 (inactive)
language-java, v0.23.0 (inactive)
language-javascript, v0.119.0 (inactive)
language-json, v0.18.2 (inactive)
language-less, v0.29.5 (inactive)
language-make, v0.22.2 (inactive)
language-mustache, v0.13.0 (inactive)
language-objective-c, v0.15.1 (inactive)
language-perl, v0.35.0 (inactive)
language-php, v0.37.2 (inactive)
language-property-list, v0.8.0 (inactive)
language-python, v0.45.0 (inactive)
language-ruby, v0.69.0 (inactive)
language-ruby-on-rails, v0.25.0 (inactive)
language-sass, v0.56.0 (inactive)
language-shellscript, v0.22.4 (inactive)
language-source, v0.9.0 (inactive)
language-sql, v0.23.0 (inactive)
language-text, v0.7.1 (inactive)
language-todo, v0.28.0 (inactive)
language-toml, v0.18.0 (inactive)
language-xml, v0.34.9 (inactive)
language-yaml, v0.26.0 (inactive)

# Dev
No dev packages